:root {
    --bg-color: linear-gradient(180deg, #2d2473, #2c178099);
    --bg-dark: #2B2C2C;
    --bg-dark-gradiant: linear-gradient(180deg, #2B2C2C, #000);
}

* {
    scroll-behavior: smooth;
}

body {
    background: var(--bg-dark-gradiant);
    width: 100%;
    /* height: 100vh; */

    overflow-x: hidden;
    font-family: 'Secular One', sans-serif;

}

.containerHeader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    box-shadow: 0px 8px 21px -3px rgba(0, 0, 0, 0.51);
    /* height: 100vh; */
    /* display: flex;
    justify-content: start;
    align-items: center; */
    backdrop-filter: blur(5px);
    color: #fff;
    z-index: 1000;
}



.sections {
    /* height: 100vh; */
    background-attachment: fixed;
}

.sections:nth-of-type(1) {
    margin-top: 100px;

}

.heroSection {
    display: flex;
    justify-content: center;
    /* margin-top: 1rem; */
    /* margin: 5rem */
}

.introduction {
    display: flex;
    margin-left: 5rem;
    margin-right: 5rem;
    align-items: center;
    align-self: 'center';
}

.HiThere {
    font-size: 1.5rem;
    font-weight: 500;
}

.myName {
    font-size: 4.4rem;
    font-weight: 700;
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
    color: #fff;
}

.profession {
    font-size: 1.5rem;
    font-weight: 500;
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
    color: rgba(220, 241, 249, 0.565);
}

.textSecondary {
    font-size: 17px;
    font-weight: 500;
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
    color: rgba(220, 241, 249, 0.565);
}

.imageAnimated {
    display: flex;
    justify-content: center;
    align-items: center;
    align-self: center;
}

.headerLinks {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    /* row-gap: 1rem; */
    margin-right: 2rem;
}

.headerlink:first-child {
    margin-right: 2rem;
    display: flex;
    justify-content: center;
}

.containerHome {
    display: flex;
    justify-content: flex-start;
    align-items: center;

}

.logoHome {
    font-size: 1.5rem;
    cursor: pointer;
    font-weight: 500;
    padding: 0.1rem;
    margin-left: 1rem;
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
    color: #ea6b3e;
    text-decoration: none;
    transition: all 0.3s ease-in-out;
}

.headerlink {
    font-size: 1.5rem;
    cursor: pointer;
    font-weight: 500;
    padding: 0.1rem;
    margin-right: 1rem;
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
    color: rgba(220, 241, 249, 0.565);
    text-decoration: none;
    transition: all 0.3s ease-in-out;
}

.headerlink:hover {
    color: #fff;
    transform: scale(1.1);
    border-bottom: 1px solid #ea6b3e;
    border-width: 0.2rem;
}

.logo {

    display: flex;
    justify-content: flex-start;

}

.contentButtoms {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    align-self: center;
    flex-direction: row;
    margin-top: 2rem;
    margin-bottom: 2rem;
}

.primaryHeroButtom {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-direction: row;
    margin-right: 25px;
    padding: 0.1px 40px;
    border-radius: 5px;
    background-color: #ea6b3e;
    transition: all 0.3s ease-in-out;
    color: #fff;
    text-decoration: none;

}

.grogsHeroButtom {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-direction: row;
    margin-right: 25px;
    padding: 0.1px 40px;
    border-radius: 5px;
    background-color: transparent;
    border: 1px solid #ea6b3e;
    transition: all 0.3s ease-in-out;
    color: #fff;
    text-decoration: none;

}

.primaryHeroButtom:hover {
    background-color: transparent;
    border: 1px solid #ea6b3e;
    color: #ea6b3e;
    transform: scale(1.1);
}

.grogsHeroButtom:hover {
    background-color: #ea6b3e;
    color: #fff;
    transform: scale(1.1);
}

/* About Section */

.aboutSection {
    position: relative;
    display: flex;
    justify-content: center;

    align-items: center;
    align-self: center;
    flex-direction: row;
    margin-top: 2rem;
    margin-bottom: 2rem;
}

.aboutSection span {
    color: #fff;
    align-items: center;
    align-self: center;
    font-size: 1.5rem;
    font-weight: 500;
    margin-top: 6.5rem;
    margin-bottom: 0.5rem;


}

#about {
    display: flex;
    justify-content: center;
}

.photoContain {
    box-shadow: 0 0 6px rgba(255, 255, 255, 0.51);
    border-radius: 10%;
    overflow: hidden
}


.MePhoto {
    object-fit: cover;
    border-radius: 50%;
    /* filter: grayscale(80%); */
    margin-top: 3rem;
}

.mySelf {
    display: flex;
    justify-content: center;
    align-items: center;
    align-self: center;
    flex-direction: column;
    margin-top: 2rem;
    margin-bottom: 2rem;
}

.mySelf p {
    color: #fff;
    align-items: center;
    align-self: center;
    font-weight: 100;
    font-size: 18px;

}
/* .test {
    display: flex;
    justify-content: center;
    align-items: center;
    align-self: center;
    flex-direction: column;
    margin-top: 2rem;
    margin-bottom: 2rem;
} */

.MePhoto:hover {
    /* transform: scale(1.1); */
    transition: all 0.5s ease-in-out;
    filter: grayscale(0%);
    opacity: 0.7;
}

.my_skills .spanSkill {
    color: #ea6b3e;
    font-size: 2rem;
}

.h2-about {
    text-align: center;
    color: #ea6b3e;
    font-size: 2rem;
    margin-bottom: 0;
}

.my_skills {
    margin-right: 4rem;

}

.my_skills p {
    width: 80%;
}

.my_skills span {
    color: #fff;
    font-size: 1rem;
    font-weight: 500;
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
}

.technologies {
    /* show two in two rows */
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 0.2rem;
    /* margin-top: 1rem; */

}

.technologies span {
    margin: 0.7rem;
    font-size: 16px;
    align-items: center;

    align-self: center;
    padding-bottom: 1px;
}

.technologies div {
    display: flex;
    align-items: center;
    cursor: pointer;
}

.technologies div:hover {
    transform: scale(1.1);
    transition: all 0.5s ease-in-out;
}

/* PROJECTS SECTIONS */
.projectSection {
    display: flex;
    justify-content: center;
    align-items: center;
    /* display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 0.2rem; */
}

.transportCanvas {
    width: 30rem;
    height: 40rem;

    /* border-radius: 50%; */
}

.descriptionApp {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #161616;
    padding: 2rem;
    opacity: 0.9;
    width: 34rem;
    margin-top: 3rem;
    border-radius: 10px;
    /* border: 1px solid #fff; */
    /* height: 3rem; */

}

.descriptionApp span {
    color: #fff;
    font-size: 14px;
}

.descriptionApp span a {
    color: #ea6b3e;
    padding-left: 0.1rem;
    font-size: 14px;
    /* text-decoration: none; */
}

.descriptionApp span h2 {
    color: #ea6b3e;
    font-size: 1.5rem;
    font-weight: 500;
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
}

.descriptionApp span p {
    color: #ccc;
    font-size: 0.7rem;
    font-weight: 500;
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
}

.marginLeft {
    margin-left: 6rem;
}

.tryMoveText {
    color: #ea6b3e;
    padding-left: 0.1rem;
    font-size: 11px;
}

@media (max-width: 900px) {
    .heroSection {
        display: block;
        margin-top: 10rem;

        /* margin: 5rem */
    }

    .my_skills {
        margin-right: 0rem;
        margin-left: 5rem;
    }

    .my_skills p {
        width: 100%;
    }

    .introduction {
        margin-left: 3rem;
    }

    .MePhoto {
        margin-right: 3rem;
    }
.h2-about {
        margin-right: 3rem;
    }
    .projectSection {

        display: grid;
        grid-template-columns: repeat(1, 1fr);
        grid-gap: 0.2rem;
    }

    .transportCanvas {
        width: 30rem;
        height: 50rem;
        margin-top: -5rem;
        /* border-radius: 50%; */
    }

    .marginLeft {
        margin-left: 0rem;
    }

    .descriptionApp {
        width: 26rem;
        margin-top: 3rem;
        border-radius: 10px;
        /* border: 1px solid #fff; */
        /* height: 3rem; */
    }

    .descriptionApp span {
        font-size: 12px;
    }
}